From f5a3ca5d8e96437f6dbefbf5dbf814f391ee73e0 Mon Sep 17 00:00:00 2001
From: Sricharan R <sricharan@codeaurora.org>
Date: Thu, 15 Nov 2018 19:13:20 +0530
Subject: [PATCH 07/26] qcs405: memlayout: Make bootblock 64k aligned

The qc_sec in qcs405 expects the bootblock to be 64k aligned. So
adjust the memlayout accordingly.

Change-Id: I1599242bb5158477318867508c72dc14f1244b00
Signed-off-by: Nitheesh Sekar <nsekar@codeaurora.org>
Signed-off-by: Sricharan R <sricharan@codeaurora.org>
---
 src/soc/qualcomm/qcs405/include/soc/memlayout.ld | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

diff --git a/src/soc/qualcomm/qcs405/include/soc/memlayout.ld b/src/soc/qualcomm/qcs405/include/soc/memlayout.ld
index 68642d67a222..f9ca7888f2ae 100644
--- a/src/soc/qualcomm/qcs405/include/soc/memlayout.ld
+++ b/src/soc/qualcomm/qcs405/include/soc/memlayout.ld
@@ -30,16 +30,15 @@ SECTIONS
 	SSRAM_END(0x8608000)
 
 	BSRAM_START(0x8C00000)
-	OVERLAP_VERSTAGE_ROMSTAGE(0x8C00000, 100K)
-	REGION(fw_reserved2, 0x8C19000, 0x16000, 4096)
-	BOOTBLOCK(0x8C2F000, 40K)
-	TTB(0x8C39000, 56K)
-	VBOOT2_WORK(0x8C47000, 12K)
-	STACK(0x8C4B000, 16K)
-	TIMESTAMP(0x8C4F000, 1K)
-	PRERAM_CBMEM_CONSOLE(0x8C4F400, 32K)
-	PRERAM_CBFS_CACHE(0x8C57400, 70K)
-	REGION(bsram_unused, 0x8C68C00, 0xA2400, 0x100)
+	REGION(fw_reserved2, 0x8C00000, 0x16000, 4096)
+	OVERLAP_VERSTAGE_ROMSTAGE(0x8C16000, 104K)
+	BOOTBLOCK(0x8C30000, 40K)
+	TTB(0x8C3a000, 56K)
+	VBOOT2_WORK(0x8C48000, 12K)
+	STACK(0x8C4c000, 16K)
+	TIMESTAMP(0x8C50000, 1K)
+	PRERAM_CBMEM_CONSOLE(0x8C50400, 32K)
+	PRERAM_CBFS_CACHE(0x8C58400, 70K)
 	BSRAM_END(0x8D80000)
 
 	DRAM_START(0x80000000)
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

